JavaScript Squeezer parsing error

Hi

I would very much like to be able to use the JavaScript Squeezer - it looks really useful. I tried installing the plugin (version 0.3) but if I try to invoke it I get "JavaScript Squeezer: parsing error".

Can anyone help me diagnose the problem and sort it out?

Thanks ...
Toni

4 comments
Comment actions Permalink

Hi Toni,

you get parsing error if your javascript has syntax errors, which also should be marked as errors within Idea editor itself. If it is plugin mistake, could you provide code sample? thanks.

-m

PS:
I am working on a plugin update + ant task, but have no much time right now, so I cannot say when it will get released..within a few weeks probably.

0
Comment actions Permalink

Hi machak,

Even if I try an extremely simple test function such as the following:

function testfunc() {
var x = 1;
alert("x: " + x);
}

I get the same "Javascript Squeezer: parsing error" (idea also does not identify any errors in the above function). I'm not sure if I'm doing something wrong - but I just installed the plugin, created a .js file and put the above code in it. I have the Javascript Squeezer on the toolbar so with the .js file active I click on the icon and get the above error.

If it helps at all, I'm running idea 5.1.1 (build 4192) on a Gentoo AMD 64 box with the Sun Java 1.5.0_06 JDK.

Anyhow if you are working on an ant task then I would definitely find that useful ...
thanks
toni

0
Comment actions Permalink

Hi,
pleased download new version (just uploaded version 0.4),error should be fixed.
Please let me know it works and sorry for inconvenience,
cheers,
-m

0
Comment actions Permalink

I just updated to version 0.4 and it works now.
Thanks very much!

0

Please sign in to leave a comment.